Bug 1128392 - [abrt] orca: dlmmap_locked(): python3.3 killed by SIGBUS
Summary: [abrt] orca: dlmmap_locked(): python3.3 killed by SIGBUS
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: orca
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c685eb12fa502d30134c9308b4b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 00:54 UTC by Joshua Escamilla
Modified: 2015-06-29 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:00:06 UTC


Attachments (Terms of Use)
File: backtrace (182.70 KB, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: core_backtrace (27.46 KB, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: dso_list (3.36 KB, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: environ (1.32 KB, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: maps (14.89 KB, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: open_fds (281 bytes, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details
File: var_log_messages (192 bytes, text/plain)
2014-08-10 00:54 UTC, Joshua Escamilla
no flags Details

Description Joshua Escamilla 2014-08-10 00:54:46 UTC
Version-Release number of selected component:
orca-3.10.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/orca --replace
crash_function: dlmmap_locked
executable:     /usr/bin/python3.3
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dlmmap_locked at ../src/closures.c:460
 #1 dlmmap at ../src/closures.c:506
 #2 sys_alloc at ../src/dlmalloc.c:3515
 #3 dlmalloc at ../src/dlmalloc.c:4245
 #4 ffi_closure_alloc at ../src/closures.c:572
 #5 g_callable_info_prepare_closure at girepository/girffi.c:365
 #6 _pygi_make_native_closure at pygi-closure.c:639
 #7 _pygi_marshal_from_py_interface_callback at pygi-marshal-from-py.c:1290
 #8 _invoke_marshal_in_args at pygi-invoke.c:505
 #9 pygi_callable_info_invoke at pygi-invoke.c:649

Comment 1 Joshua Escamilla 2014-08-10 00:54:48 UTC
Created attachment 925453 [details]
File: backtrace

Comment 2 Joshua Escamilla 2014-08-10 00:54:49 UTC
Created attachment 925454 [details]
File: cgroup

Comment 3 Joshua Escamilla 2014-08-10 00:54:50 UTC
Created attachment 925455 [details]
File: core_backtrace

Comment 4 Joshua Escamilla 2014-08-10 00:54:50 UTC
Created attachment 925456 [details]
File: dso_list

Comment 5 Joshua Escamilla 2014-08-10 00:54:51 UTC
Created attachment 925457 [details]
File: environ

Comment 6 Joshua Escamilla 2014-08-10 00:54:52 UTC
Created attachment 925458 [details]
File: exploitable

Comment 7 Joshua Escamilla 2014-08-10 00:54:52 UTC
Created attachment 925459 [details]
File: limits

Comment 8 Joshua Escamilla 2014-08-10 00:54:54 UTC
Created attachment 925460 [details]
File: maps

Comment 9 Joshua Escamilla 2014-08-10 00:54:54 UTC
Created attachment 925461 [details]
File: open_fds

Comment 10 Joshua Escamilla 2014-08-10 00:54:55 UTC
Created attachment 925462 [details]
File: proc_pid_status

Comment 11 Joshua Escamilla 2014-08-10 00:54:56 UTC
Created attachment 925463 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:35:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:00:06 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.